summaryrefslogtreecommitdiffstats
path: root/debian/intel-microcode.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-08 19:26:18 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-08 19:26:18 +0000
commit5870552b6420b1c01a2a74c2f83fecddfdb991fe (patch)
tree4806d776869d92b2ae169b7b10fc5ae0a6376c81 /debian/intel-microcode.postrm
parentAdding upstream version 3.20240312.1. (diff)
downloadintel-microcode-5870552b6420b1c01a2a74c2f83fecddfdb991fe.tar.xz
intel-microcode-5870552b6420b1c01a2a74c2f83fecddfdb991fe.zip
Adding debian version 3.20240312.1.debian/3.20240312.1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/intel-microcode.postrm')
-rw-r--r--debian/intel-microcode.postrm42
1 files changed, 42 insertions, 0 deletions
diff --git a/debian/intel-microcode.postrm b/debian/intel-microcode.postrm
new file mode 100644
index 0000000..57791c8
--- /dev/null
+++ b/debian/intel-microcode.postrm
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postrm script for intel-microcode
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ purge|remove)
+ if [ -x /usr/sbin/update-initramfs ] && [ -e /etc/initramfs-tools/initramfs.conf ] ; then
+ update-initramfs -u
+ fi
+ ;;
+
+ upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0